Catherine Foo
LAB 3
TA: Mike
Section 8

PART A

b1 = [4];
a1 = [1 4 40];
zs = roots(b1)
ps = roots(a1)
zs =

   Empty matrix: 0-by-1

ps =

  -2.0000 + 6.0000i
  -2.0000 - 6.0000i

pzplot2(b1, a1, -1)



PART B

omega = linspace(-10,10,1000);
H = freqs(b1, a1, omega);
plot(omega, abs(H))
title('part (b) - |H_1(jw)|')


     The plot is consistent with part a, because the peaks are located
at +/- 6 (imaginary part) and the peak widths are related to the real
part, -2.


PART C

     omega = [-10:0.5:10];

>> omega = [-10:0.5:10];        
>> sigma = -2+(1/8)*(1:40); 
>> [sigmagrid,omegagrid] = meshgrid(sigma, omega);
>> sgrid = sigmagrid + j*omegagrid;
>> H1 = polyval(b1,sgrid)./polyval(a1,sgrid);
>> mesh(sigma,omega,abs(H1))
>> hold on;
>> plot3(zeros(1,41), omega,abs(H1(:,8))+0.05,'c')

>> title('part (c) - surface plot')

PART D


>> b2 = [4];
>> a2 = [1 1 36.25]
>> zs2 = roots(b2);
>> ps2 = roots(a2);
>> pzplot2(b2, a2, 0) 

ans =

  -0.5000 + 6.0000i
  -0.5000 - 6.0000i

>> title('part d - pole zero plot of H_2')

     Since the imaginary component of the poles is still the same, 
  the poles are located in the same area, but the magnitudes and
widths of the peaks differ.


>> omega = linspace(-10,10,1000);
>> H = freqs(b2, a2, omega);
>> plot(omega, abs(H))
>> title('part (d) - |H_2(jw)|')


PART E


>> a3 = [4 0 4];
>> b3 = [4 0 4];
>> a3 = [1 4 40];
>> pzplot2(b3, a3, -1)

ans =

  -2.0000 + 6.0000i
  -2.0000 - 6.0000i

>> pzplot2(b3, a3, -1)

ans =

  -2.0000 + 6.0000i
  -2.0000 - 6.0000i

>> title('part (e)') 
>> omega = linspace(-10,10,1000);
>> H = freqs(b3, a3, omega);
>> plot(omega, abs(H))
>> title('part (e) - |H_3(jw)|')

>> plot3(zeros(1,41), omega,abs(H(:,8))+0.05,'c')
>> hold off;
>> title('part (e) - surface plot')


     The magnitudes of the peaks in this part is much greater, and
causes aliasing in the frequency response.

