// my code passes these very few, very basic tests.
// creating a graph
// adding nodes
// add an edge
// retrieving a set of all nodes

package ex3;

import java.util.*;
import junit.framework.*;

public class GraphTest extends TestCase {

  Graph graph1;
  Set NodeSet;
  EdgeSet edges;
  
  public GraphTest( String name) { super(name); }
  
  public void makeGraph() {
    graph1 = new Graph();
    assert( graph1.nodeSize() == 0);
    assert(graph1.edgeSize() == 0);
  }

  public void addNode() {
    graph1 = new Graph();
    assert(graph1.addNode("Node1"));
    assert(graph1.nodeSize() == 1);
    assert(graph1.edgeSize() == 0);
  }

  public void addEdge() {
    graph1 = new Graph();
    assert(graph1.addNode("Node1"));
    assert(graph1.addEdge(new Edge("Node1", "Node2", "edge1")) == false);
    assert(graph1.addNode("Node2"));
    assert(graph1.addEdge(new Edge("Node1", "Node2", "edge1")));
    assert(graph1.nodeSize() == 2);
    assert(graph1.edgeSize() == 1);
  }

  public void getNodesTest() {
    graph1 = new Graph();
    graph1.addNode("Node1");
    graph1.addNode("Node2");

    NodeSet = (Set) graph1.getNodes();
    Iterator nit = NodeSet.iterator();

    // i then realized that iterators don't guarantee order, but it seems to
    // be coming out in this order.
    assert((String) nit.next() == "Node2");
    assert((String) nit.next() == "Node1");
  }

  // Tell JUnit what order to run the tests in
  public static Test suite()
  { 
    TestSuite suite = new TestSuite(); 
    suite.addTest(new GraphTest("makeGraph"));
    suite.addTest(new GraphTest("addNode"));
    suite.addTest(new GraphTest("addEdge"));
    suite.addTest(new GraphTest("getNodesTest"));
    return suite;
  }

}
