package ex5.backend;


interface Stock {

  //private String ticker;
  //private float price;
  //private int shares;

  // @effects constructs a new Stock using info provided.
  //  public Stock(String tk, int sh, float pr);

  // @return ticker symbol for stock
  String getTicker();

  // @return price bought for stock
  float getPrice();

  // @return number of shares held of stock
  int getShares();

  // @requires newprice > 0
  // @effects getPrice() will now return newprice
  void changePrice(float newprice);

  // @requires newshares >= 0
  // @effects getShares() will now return newshares
  void changeShares(int newshares);
}
