import java.awt.*;
import java.awt.image.*;
import Raster;

class Sprite extends Raster {
   
    int x, y;                       // position of sprite on playfield
    //    public void Draw(Raster bgnd);  // draws sprite on a Raster
    int oldx, oldy;
    boolean moving;

    public Sprite(Image img) {
        super(img);
        x=30;
        y=30;
        oldx = 0;
        oldy = 0;
	moving = false;
    }

    public boolean isTransparent(int nx, int ny)
    {
	
	int newx = nx - x;
	int newy = ny - y;
	if ((newx > getWidth()) || (newy > getHeight()))
	    return true;
	if(getPixel(nx-x,ny-y) >0) 
	    return true;
	else return false;
    }

    public void fixbackground(Playfield bgnd) {
        bgnd.refreshBackground(oldx, oldy, getWidth(), getHeight());
    }
    public void Draw(Playfield bgnd)
    {
        int wid = getWidth();
        int hei = getHeight();
	int newpix;

	
        for (int w = 0; w<wid; w++) {
            for (int h = 0; h<hei; h++) {
                newpix = getPixel(w,h);
		if (newpix < 0)
		    bgnd.setPixel(newpix, w+x, y+h);
                        }
        }
	oldx = x;//-(wid/2);
	oldy = y;//-(hei/2);
        
    }

}
