// mas110 mini etch-a-sketch

// instructions for use:
// this product does not leak aluminum powder. 99 44/100 % non toxic.
// move the mx bar back and forth. the faster you move it, the more
// crinks you get. it's regularly erratic. draw at your own risk.

// economy and intricacy: (0-economy) .99f

import java.awt.*;
public class catherine_ps4_p5 extends mas110panel {

  public boolean clearscreen = true;
  public boolean setxy = true;

  int prev_x;
  int prev_y;
  float prev_mx = .5f;
  float prev_t = 0;

   public void draw(Graphics g, float t) {
     

     float dmx, dmx1, dt;
     int dx, dy, x=0, y=0;

     if (t==0) {
       //       g.setColor(new Color(0.85f,0.85f,.85f));
       g.setColor(new Color(1f,1f,1f));
       g.fillRect(0,0,w,h);
       g.setColor(new Color(0,0,0));
       g.drawLine(25, 0, 25, 100);
       g.drawLine(50,0,50,100);
       g.drawLine(75,0,75,100);
       g.drawLine(0,25,100,25);
       g.drawLine(0,50,100,50);
       g.drawLine(0,75,100,75);
       clearscreen = false;
     }

     if (t==0) {
       prev_x = (int)(w/2);
       prev_y = (int)(h/2);
       setxy = false;
       prev_mx = .5f;
     }

     dt = t - prev_t;
     dmx = (float)((prev_mx - mx)/dt);
     

     if (dmx < 0) {
       dx = (int)((dmx+.5)*w/10);
       dy = (int)((dmx-.5)*h/10);
     }
     else if (dmx > 0) {
       dx = (int)((dmx-.5)*w/10);
       dy = (int)((dmx+.4)*h/10);
     }
     else {
       dx = 0;
       dy = 0;
     }

     float i = t%10;

     //     g.setColor(new Color((i/10),(i/10),(i/10)));
     g.setColor(new Color(dmx*dmx,dmx*dmx,dmx*dmx));
     //     g.drawLine(prev_x, prev_y, x, y);



       x = prev_x + dx;
       y = prev_y + dy;


     if (x > w)
       x = prev_x - dx;;
     if (y > h)
       y = prev_y - dy;

     /*     if (dmx > 0) {
       x = prev_x + dx;
       y = prev_y + dy;
     }
     else if (dmx < 0) {
       x = prev_x + dx;
       y = prev_y + dy;
       }*/


     g.drawLine(prev_x, prev_y, x, y);
     
     if (dmx == 0) {}
     else if (dmx > .04f) {
       g.drawLine(x, y, x+5, y-4);
       x = x+5; y = y+4;
     }
     else if (dmx < -.04f) {
       g.drawLine(x, y, x+3, y-2);
         x = x+3; y = y-2;
     }
     else if (dmx < -.02f) {
       g.drawLine(x, y, x-3, y-2);
         x = x-3; y = y+2;
     }
     else if (dmx > .02f) {
       g.drawLine(x, y, x-3, y-4);
         x = x-3; y = y-4;
     }


     if (x > w) x = w;
     if (y > h) y = h;

     prev_x = x;
     prev_y = y;
     prev_mx = mx;
   }
}
